# 说明

## 安装与使用

1. 安装uv：`pip install uv`
2. 安装第三方依赖库：`uv add <package_name>`
3. 更新第三方依赖库：`uv add -U <package_name>`
4. 卸载第三方依赖库：`uv remove <package_name>`
5. 使用uv运行脚本：`uv run app.py`

## 换源

在pyproject.toml中添加以下内容：

```toml
[[tool.uv.index]]
url = "https://pypi.tuna.tsinghua.edu.cn/simple"
default = true
```

## 初始化项目

几个常用的选项如下：

- uv init --app 创建一个普通的app， 这个也是默认的选项，这种就是最基础的项目，这类型的项目不能直接打包，由于pyproject.toml
  中没有配置build system
- uv init --package 创建一个“包”， 这类型的项目可以被打包发布，pyproject.toml 中会自动配置 build
  system，并且可以发布为工具(tool)，使用 uv tool run （或者 uvx ）来直接运行(本节重点介绍此种方式创建的包)
- uv init --lib 创建一个"库"， 这种和package 的区别在于没有project.scripts, 不能当工具来使用

## 打包

1. 配置pyproject.toml：其中项目的名称name，必须跟项目中的某个文件夹的名称相同，这个文件可以是根目录下的文件夹也可以是src目录下的子文件夹。只有这个文件夹下的文件才会被打包发布，并被其他人安装识别。
2. 打包：`uv build`
3. 上传：`uv publish`
